n = input()
digits = [int(d) for d in n]
n = len(digits)


def parse(i):
    ans = 0.0
    p = 1.0
    for j in range(i, min(i + 10, n)):
        p *= 10.0
    return ans


ans = 0
v = 0
p = 1.0
for i in range(0, n):
    v += digits[i] / p
    p *= 10
    ans += v
ans *= 0.9
ans += v * 0.1

print(ans)
